POST
https://zx1.deepwl.net
/
v1
/
videos
/
{video_id}
/
remix
视频remix
curl --request POST \
  --url https://zx1.deepwl.net/v1/videos/{video_id}/remix \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "prompt": "<string>",
  "model": "<string>"
}
'
{
  "id": "video_456",
  "object": "video",
  "model": "veo_3_1-extend",
  "status": "queued",
  "progress": 0,
  "created_at": 1712698600,
  "size": "720x1280",
  "seconds": "8",
  "remixed_from_video_id": "video_123",
  "quality": ""
}

视频remix

在已完成或可用的 Veo 视频任务基础上,通过 POST /v1/videos/{video_id}/remix 提交新的 remix 任务。对外仍返回 OpenAI 风格 video 对象。
  • 路径参数 video_id 为原视频任务 ID。
  • 请求体需同时提供 promptmodel
  • Remix 常用模型示例为 veo_3_1-extend,以当前渠道实际可用模型为准。
  • 新任务响应中的 remixed_from_video_id 会指向源视频 ID。

方法与路径

POST /v1/videos/{video_id}/remix

请求示例

curl -X POST https://zx1.deepwl.net/v1/videos/video_fafb00cb-5475-4882-8714-57df146c6dbe/remix \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -H "Accept: application/json" \
  -d '{
    "prompt": "牛飞到海里去了",
    "model": "veo_3_1-extend"
  }'

响应示例

{
  "id": "video_456",
  "object": "video",
  "model": "veo_3_1-extend",
  "status": "queued",
  "progress": 0,
  "created_at": 1712698600,
  "size": "720x1280",
  "seconds": "8",
  "remixed_from_video_id": "video_123",
  "quality": ""
}
提交后请使用 Veo 任务查询 轮询新返回的 id

认证

Authorization: Bearer YOUR_API_KEY

Path Parameters

video_id
string
必填
源视频任务 ID,与 Veo 视频生成 或查询接口返回的 id 一致。

Body

prompt
string
必填
Remix 提示词,描述希望如何改写或延续原视频内容。
model
string
必填
Remix 使用的模型名称,例如 veo_3_1-extend

Response

id
string
新 remix 任务 ID。
object
string
固定为 video
model
string
实际使用的 remix 模型。
status
string
任务状态,常见值包括 queuedprocessingcompletedfailed
progress
integer
任务进度百分比。
created_at
integer
创建时间(Unix 时间戳)。
size
string
输出尺寸。
seconds
string
输出时长(秒)。
remixed_from_video_id
string
源视频任务 ID,即请求路径中的 video_id
quality
string
画质相关字段,部分响应可能返回空字符串。

相关接口